Skip to main content
POST
/
sourcing
/
ingest
Ingest candidate profiles
curl --request POST \
  --url https://api-service.fribl.co/api/v1/sourcing/ingest \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "session_id": "<string>",
  "selected_ids": [
    "<string>"
  ]
}
'
import requests

url = "https://api-service.fribl.co/api/v1/sourcing/ingest"

payload = {
"session_id": "<string>",
"selected_ids": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({session_id: '<string>', selected_ids: ['<string>']})
};

fetch('https://api-service.fribl.co/api/v1/sourcing/ingest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api-service.fribl.co/api/v1/sourcing/ingest"

payload := strings.NewReader("{\n \"session_id\": \"<string>\",\n \"selected_ids\": [\n \"<string>\"\n ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://api-service.fribl.co/api/v1/sourcing/ingest")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"session_id\": \"<string>\",\n \"selected_ids\": [\n \"<string>\"\n ]\n}")
.asString();
{
  "task_ids": [
    "<string>"
  ],
  "status": "<string>",
  "message": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
"code": "INSUFFICIENT_TOKENS",
"message": "Insufficient tokens: have 3, need 10",
"balance": 3,
"required": 10
}

Authorizations

x-api-key
string
header
required

API key in UUID format. Include this header with every authenticated request.

Body

application/json

Request body for ingesting candidate profiles from a sourcing search.

session_id
string
required

Session ID from the sourcing search containing the profiles to ingest.

selected_ids
string[]
required

List of candidate profile IDs to ingest. Maximum 100 per request.

Maximum array length: 100

Response

Ingestion request accepted.

task_ids
string[]
required

Identifiers for the ingestion tasks created.

status
string
required

Status of the ingestion request.

message
string
required

Human-readable status message.